Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.smtp.sampler
Class SmtpSampler

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.samplers.AbstractSampler
              org.apache.jmeter.protocol.smtp.sampler.SmtpSampler

All Implemented Interfaces:
  Serializable, Cloneable, Sampler, TestElement

    public class SmtpSampler

extends AbstractSampler

Sampler-Class for JMeter - builds, starts and interprets the results of the sampler. Has to implement some standard-methods for JMeter in order to be integrated in the framework. All getter/setter methods just deliver/set values from/to the sampler, not from/to the message-object. Therefore, all these methods are also present in class SendMailCommand.

See Also:
  Serialized Form

Field Summary
`static String` | `ATTACH_FILE`
`static String` | `EML_MESSAGE_TO_SEND`
`static String` | `ENABLE_DEBUG`
`static String` | `ENFORCE_STARTTLS`
`static String` | `FILENAME_SEPARATOR`
`static String` | `HEADER_FIELDS`
`static String` | `INCLUDE_TIMESTAMP`
`static String` | `MAIL_FROM`
`static String` | `MESSAGE`
`static String` | `MESSAGE_SIZE_STATS`
`static String` | `PASSWORD`
`static String` | `RECEIVER_BCC`
`static String` | `RECEIVER_CC`
`static String` | `RECEIVER_TO`
`static String` | `SERVER`
`static String` | `SERVER_PORT`
`static String` | `SSL_TRUST_ALL_CERTS`
`static String` | `SUBJECT`
`static String` | `TRUSTSTORE_TO_USE`
`static String` | `USE_AUTH`
`static String` | `USE_EML`
`static String` | `USE_LOCAL_TRUSTSTORE`
`static String` | `USE_SSL`
`static String` | `USE_STARTTLS`
`static String` | `USERNAME`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`SmtpSampler()`

Method Summary
`SampleResult` | `sample(Entry e)` Performs the sample, and returns the result

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.testelement.TestElement
`addTestElement, canRemove, clear, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

Field Detail

### SERVER

    public static final String SERVER

See Also:
  Constant Field Values

### SERVER_PORT

    public static final String SERVER_PORT

See Also:
  Constant Field Values

### USE_AUTH

    public static final String USE_AUTH

See Also:
  Constant Field Values

### USERNAME

    public static final String USERNAME

See Also:
  Constant Field Values

### PASSWORD

    public static final String PASSWORD

See Also:
  Constant Field Values

### MAIL_FROM

    public static final String MAIL_FROM

See Also:
  Constant Field Values

### RECEIVER_TO

    public static final String RECEIVER_TO

See Also:
  Constant Field Values

### RECEIVER_CC

    public static final String RECEIVER_CC

See Also:
  Constant Field Values

### RECEIVER_BCC

    public static final String RECEIVER_BCC

See Also:
  Constant Field Values

### SUBJECT

    public static final String SUBJECT

See Also:
  Constant Field Values

### MESSAGE

    public static final String MESSAGE

See Also:
  Constant Field Values

### INCLUDE_TIMESTAMP

    public static final String INCLUDE_TIMESTAMP

See Also:
  Constant Field Values

### ATTACH_FILE

    public static final String ATTACH_FILE

See Also:
  Constant Field Values

### MESSAGE_SIZE_STATS

    public static final String MESSAGE_SIZE_STATS

See Also:
  Constant Field Values

### HEADER_FIELDS

    public static final String HEADER_FIELDS

See Also:
  Constant Field Values

### USE_SSL

    public static final String USE_SSL

See Also:
  Constant Field Values

### USE_STARTTLS

    public static final String USE_STARTTLS

See Also:
  Constant Field Values

### SSL_TRUST_ALL_CERTS

    public static final String SSL_TRUST_ALL_CERTS

See Also:
  Constant Field Values

### ENFORCE_STARTTLS

    public static final String ENFORCE_STARTTLS

See Also:
  Constant Field Values

### USE_LOCAL_TRUSTSTORE

    public static final String USE_LOCAL_TRUSTSTORE

See Also:
  Constant Field Values

### TRUSTSTORE_TO_USE

    public static final String TRUSTSTORE_TO_USE

See Also:
  Constant Field Values

### USE_EML

    public static final String USE_EML

See Also:
  Constant Field Values

### EML_MESSAGE_TO_SEND

    public static final String EML_MESSAGE_TO_SEND

See Also:
  Constant Field Values

### ENABLE_DEBUG

    public static final String ENABLE_DEBUG

See Also:
  Constant Field Values

### FILENAME_SEPARATOR

    public static final String FILENAME_SEPARATOR

See Also:
  Constant Field Values

Constructor Detail

### SmtpSampler

    public SmtpSampler()

Method Detail

### sample

    public SampleResult sample(Entry e)

  Performs the sample, and returns the result

  Parameters:
    `e` - Standard-method-header from JMeter
  Returns:
    sampleresult Result of the sample
  See Also:
    `Sampler.sample(org.apache.jmeter.samplers.Entry)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.